[hsflinux] Can't install HSF drivers on my debian "etch"

Emiliano Volta vivalasincerita at virgilio.it
Sat Oct 28 11:05:06 EDT 2006

Hi to all.

Some time ago I decided to upgrade my debian "sarge" distribution to
the newer "etch". The linuxant HSF drivers, that worked fine on my
previous OS, now fail to install. Someone could help me? Now I'm using
an old external (serial) modem, but you can easily understand that I
would prefer to use the internal one...

Here are some errors from hsfconfig --dumpdiag output

insmod /lib/modules/2.6.16-2-k7/extra/hsfpcibasic2.ko
FATAL: Error inserting hsfpcibasic2
(/lib/modules/2.6.16-2-k7/extra/hsfpcibasic2.ko): Invalid module format

hsfmc97ali: version magic '2.6.16-2-k7 K7 gcc-4.1' should be
'2.6.16-2-k7 K7 gcc-4.0'


More information about the hsflinux mailing list